repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v6.0.0
  hooks:
    - id: check-yaml
    - id: end-of-file-fixer
    - id: trailing-whitespace

- repo: https://github.com/shellcheck-py/shellcheck-py
  rev: v0.11.0.1
  hooks:
    - id: shellcheck

- repo: local
  hooks:
    - id: prettier
      name: prettier
      entry: npx prettier --write
      language: system
      files: "\\.(js|jsx|ts|tsx)$"

- repo: local
  hooks:
    - id: eslint
      name: eslint
      entry: npx eslint --fix
      language: system
      files: "\\.(js|jsx|ts|tsx)$"

- repo: local
  hooks:
    - id: stylelint
      name: stylelint
      entry: npx stylelint --fix
      language: system
      files: "\\.(scss|sass|css)$"
